<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">
<body>
	<ui:composition>
 		<p:dialog header="Atención !" widgetVar="dlgModalActualizar" modal="true" width="20%" styleClass="box-modal-show" resizable="false" > 
				<div align="center">
					<h5>¿Desea actualizar los datos del usuario</h5>
				</div>
				<div align="center">
					<p:commandButton value="Si" action="#{bandejaSalaDelUsuarioMB.update}" ajax="true" styleClass="btn btn-default btn-sensitive btn-buscar"
						onclick="PF('dlgModalActualizar').hide(), PF('statusDialog').show()"
						oncomplete="PF('statusDialog').hide();"
						update=":frmUserCreation" />
					<p:spacer width="20" height="20"></p:spacer>
					<p:commandButton value="No" oncomplete="PF('dlgModalActualizar').hide()" styleClass="btn btn-default btn-sensitive btn-buscar" />
				</div>
		</p:dialog>
		<p:dialog header="Atención !" widgetVar="dlgModalRegistrar" modal="true" width="20%" styleClass="box-modal-show" resizable="false" onShow="PF('dlgModalRegistrar').initPosition()" >
				<div align="center">
					<h5>¿Confirma el registro del usuario?</h5>
				</div>
				<div align="center">
					<p:commandButton value="Si" action="#{bandejaSalaDelUsuarioMB.save}" ajax="true" styleClass="btn btn-default btn-sensitive btn-buscar"
						onclick="PF('dlgModalRegistrar').hide(), PF('statusDialog').show()"
						oncomplete="PF('statusDialog').hide();"
						update=":frmUserCreation" />
					<p:spacer width="20" height="20"></p:spacer>
					<p:commandButton value="No" oncomplete="PF('dlgModalRegistrar').hide()" styleClass="btn btn-default btn-sensitive btn-buscar" />
				</div>
		</p:dialog>
		<p:dialog header="Atención !" widgetVar="dlgModalSuspender" modal="true" width="20%" styleClass="box-modal-show" resizable="false" onShow="PF('dlgModalSuspender').initPosition()" >
				<div align="center">
					<h5>¿Desea suspender la cuenta del usuario?.</h5>
				</div>
				<div align="center">
					<p:commandButton value="Si" action="#{bandejaSalaDelUsuarioMB.suspenderUsuario}" ajax="true"
						styleClass="btn btn-default btn-sensitive btn-buscar"
						onclick="PF('dlgModalSuspender').hide(), PF('statusDialog').show()"
						oncomplete="PF('statusDialog').hide();"
						update=":frmUserCreation" />
					<p:spacer width="20" height="20"></p:spacer>
					<p:commandButton value="No" oncomplete="PF('dlgModalSuspender').hide()" styleClass="btn btn-default btn-sensitive btn-buscar" />
				</div>
		</p:dialog>		
		<p:dialog header="Atención !" widgetVar="dlgModalHabilitar" Modal="true" width="20%" styleClass="box-modal-show" resizable="false" onShow="PF('dlgModalHabilitar').initPosition()" >
				<div align="center">
					<h5>¿Desea habilitar la cuenta del usuario?</h5>
				</div>
				<div align="center">
					<p:commandButton value="Si"
						action="#{bandejaSalaDelUsuarioMB.habilitarUsuario}" ajax="true"
						styleClass="btn btn-default btn-sensitive btn-buscar"
						onclick="PF('dlgModalHabilitar').hide(), PF('statusDialog').show()"
						oncomplete="PF('statusDialog').hide();"
						update=":frmUserCreation" />
					<p:spacer width="20" height="20"></p:spacer>
					<p:commandButton value="No" oncomplete="PF('dlgModalHabilitar').hide()" styleClass="btn btn-default btn-sensitive btn-buscar" />
			</div>
		</p:dialog>
		<p:dialog header="Atención !" widgetVar="dlgModalAnular" modal="true" width="20%" styleClass="box-modal-show" resizable="false" onShow="PF('dlgModalAnular').initPosition()" >
				<div align="center">
					<h5>¿Desea Anular la cuenta del usuario? Ya no podrá realizar acciones sobre la cuenta.</h5>
				</div>
				<div align="center">
					<p:commandButton value="Si"
						action="#{bandejaSalaDelUsuarioMB.anularUsuario}" ajax="true"
						styleClass="btn btn-default btn-sensitive btn-buscar"
						onclick="PF('dlgModalAnular').hide(), PF('statusDialog').show()"
						oncomplete="PF('statusDialog').hide();"
						update=":frmUserCreation" />
					<p:spacer width="20" height="20"></p:spacer>
					<p:commandButton value="No" oncomplete="PF('dlgModalAnular').hide()" styleClass="btn btn-default btn-sensitive btn-buscar" />
			</div>
		</p:dialog>
		<p:dialog header="Atención !" widgetVar="dlgModalEfectuarRenovacion" Modal="true" width="20%" styleClass="box-modal-show" resizable="false" >
				<div align="center">
					<h5>¿Confirma la renovación de la cuenta de usuario?</h5>
				</div>
				<div align="center">
					<p:commandButton value="Si"
						action="#{bandejaSalaDelUsuarioMB.efectuarRenovacionCuentaUsuario}" ajax="true"
						styleClass="btn btn-default btn-sensitive btn-buscar"
						onclick="PF('dlgModalEfectuarRenovacion').hide(), PF('statusDialog').show()"
						oncomplete="PF('statusDialog').hide();"
						update=":frmUserCreation" />
					<p:spacer width="20" height="20"></p:spacer>
					<p:commandButton value="No" oncomplete="PF('dlgModalEfectuarRenovacion').hide()" styleClass="btn btn-default btn-sensitive btn-buscar" />
			</div>
		</p:dialog>
		<p:dialog header="Atención !" widgetVar="dlgModalEfectuarDuplicado" Modal="true" width="20%" styleClass="box-modal-show" resizable="false" onShow="PF('dlgModalEfectuarDuplicado').initPosition()" >
				<div align="center">
					<h5>¿Confirma el trámite de duplicado?</h5>
				</div>
				<div align="center">
					<p:commandButton value="Si"
						action="#{bandejaSalaDelUsuarioMB.efectuarTramiteDupplicadoCuentaUsuario}" ajax="true"
						styleClass="btn btn-default btn-sensitive btn-buscar"
						onclick="PF('dlgModalEfectuarDuplicado').hide(), PF('statusDialog').show()"
						oncomplete="PF('statusDialog').hide();"
						update=":frmUserCreation" />
					<p:spacer width="20" height="20"></p:spacer>
					<p:commandButton value="No" oncomplete="PF('dlgModalEfectuarDuplicado').hide()" styleClass="btn btn-default btn-sensitive btn-buscar" />
				</div>
		</p:dialog>
		<p:dialog header="DATOS DE REGISTRO" widgetVar="dlgModalHistorialRegistro" Modal="true" width="90%" styleClass="box-modal-show" resizable="false" onShow="PF('dlgModalHistorialRegistro').initPosition()" >
			<ui:include src="./user_history_register_information.xhtml" />
		</p:dialog>
	</ui:composition>
</body>
</html>